LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-18-2004, 09:00 AM   #1
belkins
Member
 
Registered: Apr 2003
Posts: 60

Rep: Reputation: 15
Error installing a program


I'm trying to install the GPS program GPSD from www.pygps.org.

I downloaded the tarball gpsd-1.10.tar.gz and I was able to extract it and run ./configure without any problem.

When I run make I receive the following error though:

gcc -DHAVE_CONFIG_H -g -O2 -c -I. -I/usr/X11R6/include -o gpsd.o gpsd.c
gcc -DHAVE_CONFIG_H -g -O2 -c -I. -I/usr/X11R6/include -o netlib.o netlib.c
In file included from netlib.c:13:
/usr/lib/gcc-lib/i386-redhat-linux/3.3.2/include/varargs.h:4:2: #error "GCC no longer implements <varargs.h>."
/usr/lib/gcc-lib/i386-redhat-linux/3.3.2/include/varargs.h:5:2: #error "Revise your code to use <stdarg.h>."
make: *** [netlib.o] Error 1


It looks as if I'm being told that I have to modify a file that is being called from another file but I'm not sure......

Any ideas? Thank you for any help.

Brian

P.S. Just got done taking a week long course on Linux so I'm at the EXTREMELY DANGEROUS point right now!!!
 
Old 06-18-2004, 09:13 AM   #2
sporadic235
Member
 
Registered: May 2004
Location: Osaka
Distribution: FreeBSD 5.2, Mandrake 9.2
Posts: 39

Rep: Reputation: 15
if you are using one of those distros that have been released recently, then it's very probable that you also have the latest build of gcc. in that case, just change the preprocessor header to what is being suggested.
 
Old 06-18-2004, 09:16 AM   #3
belkins
Member
 
Registered: Apr 2003
Posts: 60

Original Poster
Rep: Reputation: 15
Thank you for the quick reply.

Sorry, I forgot to mention the distro. I'm using Fedora Core 2.

"just change the preprocessor header to what is being suggested"

What file would I change the preprocessor header in and what is the preprocessor header? Is the file to be modified neblib.c?
 
Old 06-18-2004, 07:55 PM   #4
sporadic235
Member
 
Registered: May 2004
Location: Osaka
Distribution: FreeBSD 5.2, Mandrake 9.2
Posts: 39

Rep: Reputation: 15
usually, make goes to the directory where the sources are and in this case, the source being evaluated is netlib.c but better make sure there are no other culprits . i mean open every source file and check if they they dont have the same preprocessor headers.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Error in program dludenar Fedora 1 10-07-2005 04:20 AM
gconf error installing python program on mandriva crazypig Linux - Software 2 08-09-2005 10:30 AM
FC1 Error installing a program... Help! Kevin1290X KTPX Linux - Newbie 2 09-20-2004 06:21 PM
Problems installing program: error: Qt (>= Qt 3.0.3) (headers and libraries) Anjin Mandriva 4 04-26-2004 11:54 AM
C Program Error? linux_GNUbie Programming 5 12-01-2003 04:18 AM


All times are GMT -5. The time now is 10:18 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration